#ifndef _oswald_ui_h
#define _oswald_ui_h

#include <gtk/gtk.h>

#include "oswald.h"

typedef struct {
	GtkWidget *mainwin;
	GtkWidget *darea;
	GdkPixmap *pixmap;
	u8t accel_x;
	u8t accel_y;
	u8t accel_z;
	gboolean halfsecond_active;
	gboolean centisecond_active;
} oswald_ui;

void lcd_set_pixel(gint x, gint y, gboolean state);
void lcd_clear_display(void);
void lcd_update_display(void);

void enable_centisecond_timer(void);
void disable_centisecond_timer(void);

void enable_halfsecond_timer(void);
void disable_halfsecond_timer(void);

#endif

